package model

import (
	"time"
)

type Group struct {
	Id                int64     `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	Name              string    `json:"name" xorm:"not null comment('群组名称') VARCHAR(50)"`
	AvatarUrl         string    `json:"avatar_url" xorm:"not null comment('群组头像') VARCHAR(255)"`
	Introduction      string    `json:"introduction" xorm:"not null comment('群组简介') VARCHAR(255)"`
	UserNum           int       `json:"user_num" xorm:"not null default 0 comment('群组人数') INT(11)"`
	IsAllMemberBanned int       `json:"is_all_member_banned" xorm:"not null default 2 comment('是否全员禁言(1:是 2:否)') TINYINT(1)"`
	IsAllAddFriend    int       `json:"is_all_add_friend" xorm:"not null default 2 comment('是否允许加好友(1:是 2:否)') TINYINT(1)"`
	Extra             string    `json:"extra" xorm:"not null comment('附加属性') VARCHAR(1024)"`
	Kind              int       `json:"kind" xorm:"not null default 1 comment('群类型(1:用户创建 2:系统创建)') TINYINT(1)"`
	CreateTime        time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime        time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
