package model

import (
	"time"
)

type GroupNotice struct {
	Id          int64     `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	GroupId     int64     `json:"group_id" xorm:"not null comment('组id') BIGINT(20)"`
	UserId      int64     `json:"user_id" xorm:"not null comment('发布用户id') BIGINT(20)"`
	Content     string    `json:"content" xorm:"not null default '' comment('公告内容') VARCHAR(1500)"`
	LikeNums    int       `json:"like_nums" xorm:"not null default 0 comment('点赞数量') INT(11)"`
	ReadNums    int       `json:"read_nums" xorm:"not null default 0 comment('阅读数量') INT(11)"`
	PublishType int       `json:"publish_type" xorm:"not null default 1 comment('发布方式(1:仅发布 2:发布并通知 3:通知并置顶)') TINYINT(1)"`
	CreateTime  time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime  time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
