package model

import (
	"time"
)

type GroupUser struct {
	Id         int64     `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	GroupId    int64     `json:"group_id" xorm:"not null comment('组id') unique(uk_group_id_user_id) BIGINT(20)"`
	UserId     int64     `json:"user_id" xorm:"not null comment('用户id') index unique(uk_group_id_user_id) BIGINT(20)"`
	MemberType int       `json:"member_type" xorm:"not null comment('成员类型，1:群主 2:普通成员 3:管理员') TINYINT(4)"`
	Remarks    string    `json:"remarks" xorm:"not null comment('备注') VARCHAR(20)"`
	Extra      string    `json:"extra" xorm:"not null comment('附加属性') VARCHAR(1024)"`
	Status     int       `json:"status" xorm:"not null comment('状态') TINYINT(255)"`
	CreateTime time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
