package model

import (
	"time"
)

type ImSendRedPackageOrd struct {
	Id                     int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid                    int64     `json:"uid" xorm:"not null comment('用户id') BIGINT(20)"`
	ImUid                  int       `json:"im_uid" xorm:"not null comment('im对应用户id') INT(11)"`
	OrdNo                  string    `json:"ord_no" xorm:"not null comment('订单号') VARCHAR(255)"`
	State                  int       `json:"state" xorm:"not null comment('红包状态(0:未领取 1:领取中 2:领取完 3:已过期)') TINYINT(3)"`
	Amount                 string    `json:"amount" xorm:"not null comment('金额') DECIMAL(10,2)"`
	RedPacketBalanceAmount string    `json:"red_packet_balance_amount" xorm:"not null comment('红包余额') DECIMAL(10,2)"`
	RedPacketType          int       `json:"red_packet_type" xorm:"not null comment('红包类型(0:未知 1:好友红包 2:群组普通红包 3:群组手气红包 4:群组专属红包 5:系统红包)') TINYINT(3)"`
	RedPacketNums          int       `json:"red_packet_nums" xorm:"not null comment('红包数量') INT(11)"`
	RedPacketBalanceNums   int       `json:"red_packet_balance_nums" xorm:"not null comment('红包剩余数量') INT(11)"`
	WaitDrawUserIds        string    `json:"wait_draw_user_ids" xorm:"not null comment('待领取用户id(逗号分割)') VARCHAR(255)"`
	WaitDrawImUserIds      string    `json:"wait_draw_im_user_ids" xorm:"not null comment('待领取im用户id(逗号分割)') VARCHAR(255)"`
	ReceivedUserIds        string    `json:"received_user_ids" xorm:"not null comment('已领取用户id(逗号分割)') VARCHAR(255)"`
	ReceivedImUserIds      string    `json:"received_im_user_ids" xorm:"not null comment('已领取im用户id(逗号分割)') VARCHAR(255)"`
	ReceivedTimes          string    `json:"received_times" xorm:"not null comment('已领取时间(逗号分割)') VARCHAR(255)"`
	ReceivedUserAmount     string    `json:"received_user_amount" xorm:"not null comment('已领取用户金额(逗号分割)') VARCHAR(255)"`
	ImData                 string    `json:"im_data" xorm:"comment('im数据') TEXT"`
	CreateTime             time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime             time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
}
