package model

import (
	"time"
)

type User struct {
	Id                 int64     `json:"id" xorm:"pk autoincr comment('自增主键') BIGINT(20)"`
	PhoneNumber        string    `json:"phone_number" xorm:"not null comment('手机号') unique VARCHAR(20)"`
	Nickname           string    `json:"nickname" xorm:"not null comment('昵称') VARCHAR(20)"`
	Sex                int       `json:"sex" xorm:"not null comment('性别，0:未知；1:男；2:女') TINYINT(4)"`
	AvatarUrl          string    `json:"avatar_url" xorm:"not null comment('用户头像链接') VARCHAR(256)"`
	Extra              string    `json:"extra" xorm:"not null comment('附加属性') VARCHAR(1024)"`
	CreateTime         time.Time `json:"create_time" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') DATETIME"`
	UpdateTime         time.Time `json:"update_time" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') DATETIME"`
	IsAutoAddedFriends int       `json:"is_auto_added_friends" xorm:"not null default 0 comment('是否自动被添加好友') TINYINT(1)"`
	CustomerId         int       `json:"customer_id" xorm:"not null default 0 comment('客服id') INT(11)"`
}
