﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyAssistanceDetailDb(engine *xorm.Engine) dao.EggEnergyAssistanceDetailDao {
	return &EggEnergyAssistanceDetailDb{Db: engine}
}

type EggEnergyAssistanceDetailDb struct {
	Db *xorm.Engine
}

func (e EggEnergyAssistanceDetailDb) AssistanceDetailInsert(m *model.EggEnergyAssistanceDetail) (int64, error) {
	_, err := e.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (e EggEnergyAssistanceDetailDb) AssistanceDetailExist(uid, assistedUid, signId int64) (bool, error) {
	exist, err := e.Db.Where("uid = ?", uid).
		And("assisted_uid = ?", assistedUid).
		And("sign_id = ?", signId).Exist(&model.EggEnergyAssistanceDetail{})
	if err != nil {
		return false, err
	}
	return exist, nil
}

func (e EggEnergyAssistanceDetailDb) AssistanceDetailDeleteByDateByPage(date string, limit int) (int64, error) {
	affected, err := e.Db.Where("created_at < ?", date).Limit(limit).Delete(&model.EggEnergyAssistanceDetail{})
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return affected, nil
}
