﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_utils "code.fnuoos.com/EggPlanet/egg_models.git/utils"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"reflect"
	"xorm.io/xorm"
)

func NewFinWithdrawApplyDb(engine *xorm.Engine) dao.FinWithdrawApplyDao {
	return &FinWithdrawApplyDb{Db: engine}
}

type FinWithdrawApplyDb struct {
	Db *xorm.Engine
}

func (f FinWithdrawApplyDb) UpdateFinWithdrawApplyBySession(session *xorm.Session, m *model.FinWithdrawApply, columns ...string) (int64, error) {
	affected, err := session.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (f FinWithdrawApplyDb) UpdateFinWithdrawApply(m *model.FinWithdrawApply, columns ...string) (int64, error) {
	affected, err := f.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (f FinWithdrawApplyDb) FinWithdrawApplyGet(id int64) (*model.FinWithdrawApply, error) {
	var m model.FinWithdrawApply
	_, err := f.Db.Where("id = ?", id).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return &m, nil
}

func (f FinWithdrawApplyDb) FinWithdrawApplyInsertOneBySession(session *xorm.Session, m *model.FinWithdrawApply) (int64, error) {
	affected, err := session.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (f FinWithdrawApplyDb) FinWithdrawApplyGetBySession(session *xorm.Session, startAt, endAt string, params map[string]interface{}) (*[]model.FinWithdrawApply, error) {
	var m *[]model.FinWithdrawApply
	session = session.Where("create_at >= ?", startAt).And("create_at <= ?", endAt)
	if reflect.TypeOf(params["value"]).Kind() == reflect.Slice {
		//指定In查询
		if err := session.In(zhios_order_relate_utils.AnyToString(params["key"]), params["value"]).Find(m); err != nil {
			return nil, zhios_order_relate_logx.Warn(err)
		}
	} else {
		var query = fmt.Sprintf("%s =?", params["key"])
		err := session.And(query, params["value"]).Find(m)
		if err != nil {
			return nil, zhios_order_relate_logx.Error(err)
		}
	}

	return m, nil
}

func (f FinWithdrawApplyDb) FinWithdrawApplyAmountGetByParams(params map[string]interface{}) (float64, error) {
	var m model.FinWithdrawApply
	var query = fmt.Sprintf("%s =?", params["key"])
	total, err := f.Db.Where(query, params["value"]).Sum(m, "amount")
	if err != nil {
		return 0, err
	}
	return total, nil
}
