﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewUserEggScoreDataDb(engine *xorm.Engine) dao.UserEggScoreDataDao {
	return &UserEggScoreDataDb{Db: engine}
}

type UserEggScoreDataDb struct {
	Db *xorm.Engine
}

func (u UserEggScoreDataDb) UserEggScoreDataInsert(m *model.UserEggScoreData) (int64, error) {
	_, err := u.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (u UserEggScoreDataDb) UserEggScoreDataGetOneByDateByUid(uid int64, date string) (*model.UserEggScoreData, error) {
	var m model.UserEggScoreData
	exist, err := u.Db.Where("uid = ?", uid).And("date = ?", date).Get(&m)
	if err != nil {
		return nil, err
	}
	if !exist {
		return nil, nil
	}
	return &m, nil
}

func (u UserEggScoreDataDb) UserEggScoreDataUpdate(m *model.UserEggScoreData, columns ...string) (int64, error) {
	affected, err := u.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, err
	}
	return affected, nil
}
